Invalid version string 'GNU/Linux'

Bug #920857 reported by Fabio Marconi on 2012-01-24
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
usb-creator (Ubuntu)
Undecided
Unassigned

Bug Description

Hello
Started the usb creator with default settings, deleted the usb content, choose to install Lubuntu, it start, ask for passwd, restart and few second after it crash with the popup of no captured exception.
Thanks
Fabio

usb-creator 2012-01-24 09:21:16,822 (ERROR) install.py:147: Exception raised:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 143, in run
    self.install()
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 581, in install
    self.mangle_syslinux()
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 256, in mangle_syslinux
    target_os_ver = debian_support.Version(contents[1])
  File "/usr/lib/python2.7/dist-packages/debian/debian_support.py", line 172, in __init__
    super(AptPkgVersion, self).__init__(version)
  File "/usr/lib/python2.7/dist-packages/debian/debian_support.py", line 91, in __init__
    self.full_version = version
  File "/usr/lib/python2.7/dist-packages/debian/debian_support.py", line 117, in __setattr__
    self._set_full_version(str(value))
  File "/usr/lib/python2.7/dist-packages/debian/debian_support.py", line 96, in _set_full_version
    raise ValueError("Invalid version string %r" % version)
ValueError: Invalid version string 'GNU/Linux'
usb-creator 2012-01-24 09:21:16,822 (CRITICAL) install.py:92: È stata lanciata un'eccezione non catturata:
Invalid version string 'GNU/Linux' [[EDIT, It was launched a not captured exception: Invalid versions tring GNU/Linux]]
usb-creator 2012-01-24 09:21:16,833 (ERROR) frontend.py:677: Installation failed.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 143, in run
    self.install()
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 581, in install
    self.mangle_syslinux()
  File "/usr/lib/python2.7/dist-packages/usbcreator/install.py", line 256, in mangle_syslinux
    target_os_ver = debian_support.Version(contents[1])
  File "/usr/lib/python2.7/dist-packages/debian/debian_support.py", line 172, in __init__
    super(AptPkgVersion, self).__init__(version)
  File "/usr/lib/python2.7/dist-packages/debian/debian_support.py", line 91, in __init__
    self.full_version = version
  File "/usr/lib/python2.7/dist-packages/debian/debian_support.py", line 117, in __setattr__
    self._set_full_version(str(value))
  File "/usr/lib/python2.7/dist-packages/debian/debian_support.py", line 96, in _set_full_version
    raise ValueError("Invalid version string %r" % version)
ValueError: Invalid version string 'GNU/Linux'
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

ProblemType: BugDistroRelease: Ubuntu 11.10
Package: usb-creator-gtk 0.2.34
ProcVersionSignature: Ubuntu 3.0.0-15.25-generic 3.0.13
Uname: Linux 3.0.0-15-generic x86_64
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Tue Jan 24 09:22:15 2012
ExecutablePath: /usr/bin/usb-creator-gtkInstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: allSourcePackage: usb-creator
UpgradeStatus: No upgrade log present (probably fresh install)

Fabio Marconi (fabiomarconi) wrote :
summary: - It crash after starting to write to usb
+ Invalid version string 'GNU/Linux'
description: updated
description: updated
Fabio Marconi (fabiomarconi) wrote :

Hello Evan
I subscribe you to this because you are assigned to his master ( bug 707749 ), but I lay this undup because seems to me that the backtrace are differents ( bug 755486 ).
Sorry if disturb
Fabio
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Fabio Marconi (fabiomarconi) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. While we appreciate the difficulties you are facing, it would appear that the CD image (ISO file) you downloaded could be corrupt. There is an easy way to verify the integrity of the Ubuntu ISO files you download. Could you please visit https://help.ubuntu.com/community/HowToMD5SUM follow the instructions and report back as to whether or not the MD5SUM verified? Thanks in advance.

Changed in usb-creator (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers